curl --request PUT \
--url https://app.hypersender.com/api/whatsapp/v1/{instance}/react-to-message \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"messageId": "[email protected]_3EB08F6AD2A432386EFA0E",
"reaction": "๐"
}
'{
"key": {
"remoteJid": "[email protected]",
"fromMe": true,
"id": "3EB089F063C03E43EECE9D"
},
"message": {
"reactionMessage": {
"key": {
"remoteJid": "[email protected]",
"fromMe": false,
"id": "3EB08F6AD2A432386EFA0E"
},
"text": "๐",
"senderTimestampMs": 1741410470848
}
},
"messageTimestamp": 1741390160,
"status": "PENDING"
}{
"message": "The given data was invalid.",
"errors": {},
"statusCode": 422
}{
"message": "Internal Server Error"
}React to Message
Add a reaction to a message.
PUT
/
{instance}
/
react-to-message
curl --request PUT \
--url https://app.hypersender.com/api/whatsapp/v1/{instance}/react-to-message \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"messageId": "[email protected]_3EB08F6AD2A432386EFA0E",
"reaction": "๐"
}
'{
"key": {
"remoteJid": "[email protected]",
"fromMe": true,
"id": "3EB089F063C03E43EECE9D"
},
"message": {
"reactionMessage": {
"key": {
"remoteJid": "[email protected]",
"fromMe": false,
"id": "3EB08F6AD2A432386EFA0E"
},
"text": "๐",
"senderTimestampMs": 1741410470848
}
},
"messageTimestamp": 1741390160,
"status": "PENDING"
}{
"message": "The given data was invalid.",
"errors": {},
"statusCode": 422
}{
"message": "Internal Server Error"
}Add a reaction to a message.


Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
"{{ instance_id }}"
Body
application/json
Example:
Message ID
Reaction to add